WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core
17292
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-02-25 16:32:52
-
bash
File
1013.21 KB
0755
2022-04-19 13:41:45
bunzip2
File
30.62 KB
0755
2019-07-04 12:36:02
bzcat
File
30.62 KB
0755
2019-07-04 12:36:02
bzcmp
File
2.09 KB
0755
2019-07-04 12:36:00
bzdiff
File
2.09 KB
0755
2019-07-04 12:36:00
bzegrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzexe
File
4.76 KB
0755
2019-07-04 12:36:00
bzfgrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzgrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzip2
File
30.62 KB
0755
2019-07-04 12:36:02
bzip2recover
File
14.33 KB
0755
2019-07-04 12:36:02
bzless
File
1.27 KB
0755
2019-07-04 12:36:00
bzmore
File
1.27 KB
0755
2019-07-04 12:36:00
cat
File
50.86 KB
0755
2017-03-02 18:07:22
chacl
File
14.41 KB
0755
2016-02-07 11:10:27
chgrp
File
58.86 KB
0755
2017-03-02 18:07:22
chmod
File
54.8 KB
0755
2017-03-02 18:07:22
chown
File
62.86 KB
0755
2017-03-02 18:07:22
chvt
File
10.29 KB
0755
2016-09-22 17:33:23
cp
File
147.48 KB
0755
2017-03-02 18:07:22
cpio
File
138.16 KB
0755
2022-01-25 18:17:01
dash
File
150.46 KB
0755
2016-02-17 20:25:57
date
File
66.86 KB
0755
2017-03-02 18:07:22
dd
File
70.93 KB
0755
2017-03-02 18:07:22
df
File
95.62 KB
0755
2017-03-02 18:07:22
dir
File
123.62 KB
0755
2017-03-02 18:07:22
dmesg
File
59.26 KB
0755
2022-06-14 21:28:54
dnsdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
domainname
File
14.45 KB
0755
2015-11-24 08:47:21
dumpkeys
File
80.4 KB
0755
2016-09-22 17:33:23
echo
File
30.64 KB
0755
2017-03-02 18:07:22
efibootmgr
File
35.65 KB
0755
2015-07-13 23:11:46
egrep
File
28 B
0755
2016-04-29 12:58:18
false
File
26.64 KB
0755
2017-03-02 18:07:22
fc-cache-v6
File
1.85 MB
0755
2026-02-25 16:24:53
fc-cache-v7
File
1.88 MB
0755
2026-02-25 16:23:49
fgconsole
File
10.3 KB
0755
2016-09-22 17:33:23
fgrep
File
28 B
0755
2016-04-29 12:58:18
findmnt
File
48.41 KB
0755
2022-06-14 21:28:54
getfacl
File
23.2 KB
0755
2016-02-07 11:10:27
grep
File
206.27 KB
0755
2016-04-29 12:58:23
gunzip
File
2.25 KB
0755
2022-04-13 13:40:31
gzexe
File
5.86 KB
0755
2022-04-13 13:40:31
gzip
File
95.91 KB
0755
2022-04-13 13:40:32
hostname
File
14.45 KB
0755
2015-11-24 08:47:21
ip
File
367.38 KB
0755
2019-04-16 12:37:11
journalctl
File
487.23 KB
0755
2023-03-03 04:27:52
kbd_mode
File
10.29 KB
0755
2016-09-22 17:33:23
kill
File
22.61 KB
0755
2023-11-01 07:23:47
kmod
File
147.07 KB
0755
2018-11-12 22:07:24
less
File
166.73 KB
0755
2024-04-28 12:17:46
lessecho
File
10.02 KB
0755
2024-04-28 12:17:46
lessfile
File
7.58 KB
0755
2024-04-28 12:17:46
lesskey
File
19.36 KB
0755
2024-04-28 12:17:46
lesspipe
File
7.58 KB
0755
2024-04-28 12:17:46
ln
File
54.84 KB
0755
2017-03-02 18:07:22
loadkeys
File
108.88 KB
0755
2016-09-22 17:33:23
login
File
47 KB
0755
2024-02-07 10:59:50
loginctl
File
443.22 KB
0755
2023-03-03 04:27:52
ls
File
123.62 KB
0755
2017-03-02 18:07:22
lsblk
File
75.47 KB
0755
2022-06-14 21:28:54
lsmod
File
147.07 KB
0755
2018-11-12 22:07:24
mkdir
File
75.05 KB
0755
2017-03-02 18:07:22
mknod
File
62.98 KB
0755
2017-03-02 18:07:22
mktemp
File
38.8 KB
0755
2017-03-02 18:07:22
more
File
38.84 KB
0755
2022-06-14 21:28:54
mount
File
39.21 KB
4755
2022-06-14 21:28:54
mountpoint
File
14.42 KB
0755
2022-06-14 21:28:54
mt
File
67.21 KB
0755
2022-01-25 18:17:01
mt-gnu
File
67.21 KB
0755
2022-01-25 18:17:01
mv
File
127.43 KB
0755
2017-03-02 18:07:22
nc
File
30.52 KB
0755
2012-12-04 01:42:04
nc.openbsd
File
30.52 KB
0755
2012-12-04 01:42:04
netcat
File
30.52 KB
0755
2012-12-04 01:42:04
netstat
File
116.82 KB
0755
2014-06-30 13:19:24
networkctl
File
662.59 KB
0755
2023-03-03 04:27:52
nisdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
open
File
18.52 KB
0755
2016-09-22 17:33:23
openvt
File
18.52 KB
0755
2016-09-22 17:33:23
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
ping
File
43.13 KB
4755
2014-05-07 19:45:47
ping6
File
43.63 KB
4755
2014-05-07 19:45:47
ps
File
95.13 KB
0755
2023-11-01 07:23:47
pwd
File
30.73 KB
0755
2017-03-02 18:07:22
rbash
File
1013.21 KB
0755
2022-04-19 13:41:45
readlink
File
38.7 KB
0755
2017-03-02 18:07:22
rm
File
58.86 KB
0755
2017-03-02 18:07:22
rmdir
File
38.7 KB
0755
2017-03-02 18:07:22
run-parts
File
18.87 KB
0755
2016-01-26 18:17:55
sed
File
71.7 KB
0755
2016-02-12 00:20:22
setfacl
File
35.45 KB
0755
2016-02-07 11:10:27
setfont
File
39.02 KB
0755
2016-09-22 17:33:23
setupcon
File
29.97 KB
0755
2019-04-10 21:25:58
sh
File
150.46 KB
0755
2016-02-17 20:25:57
sh.distrib
File
150.46 KB
0755
2016-02-17 20:25:57
sleep
File
30.67 KB
0755
2017-03-02 18:07:22
ss
File
113.1 KB
0755
2019-04-16 12:37:11
stty
File
70.8 KB
0755
2017-03-02 18:07:22
su
File
39.19 KB
4755
2024-02-07 10:59:50
sync
File
30.67 KB
0755
2017-03-02 18:07:22
systemctl
File
648.38 KB
0755
2023-03-03 04:27:52
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-ask-password
File
50.45 KB
0755
2023-03-03 04:27:52
systemd-escape
File
38.42 KB
0755
2023-03-03 04:27:52
systemd-hwdb
File
62.58 KB
0755
2023-03-03 04:27:56
systemd-inhibit
File
275.23 KB
0755
2023-03-03 04:27:52
systemd-machine-id-setup
File
46.43 KB
0755
2023-03-03 04:27:52
systemd-notify
File
34.42 KB
0755
2023-03-03 04:27:52
systemd-tmpfiles
File
142.59 KB
0755
2023-03-03 04:27:52
systemd-tty-ask-password-agent
File
66.44 KB
0755
2023-03-03 04:27:52
tailf
File
22.6 KB
0755
2022-06-14 21:28:54
tar
File
374.64 KB
0755
2023-12-06 12:12:24
tempfile
File
10.17 KB
0755
2016-01-26 18:17:55
touch
File
62.92 KB
0755
2017-03-02 18:07:22
true
File
26.64 KB
0755
2017-03-02 18:07:22
udevadm
File
438.61 KB
0755
2023-03-03 04:27:56
umount
File
26.96 KB
4755
2022-06-14 21:28:54
uname
File
30.7 KB
0755
2017-03-02 18:07:22
uncompress
File
2.25 KB
0755
2022-04-13 13:40:31
unicode_start
File
2.7 KB
0755
2016-09-22 17:33:20
vdir
File
123.62 KB
0755
2017-03-02 18:07:22
wdctl
File
30.64 KB
0755
2022-06-14 21:28:54
which
File
946 B
0755
2016-01-26 18:17:55
whiptail
File
26.79 KB
0755
2016-01-18 19:48:45
ypdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
zcat
File
1.89 KB
0755
2022-04-13 13:40:31
zcmp
File
1.74 KB
0755
2022-04-13 13:40:31
zdiff
File
5.65 KB
0755
2022-04-13 13:40:31
zegrep
File
140 B
0755
2022-04-13 13:40:31
zfgrep
File
140 B
0755
2022-04-13 13:40:31
zforce
File
2.08 KB
0755
2022-04-13 13:40:31
zgrep
File
6.3 KB
0755
2022-04-13 13:40:31
zless
File
1.99 KB
0755
2022-04-13 13:40:31
zmore
File
1.87 KB
0755
2022-04-13 13:40:31
znew
File
4.95 KB
0755
2022-04-13 13:40:31
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: gzexe
#!/bin/sh # gzexe: compressor for Unix executables. # Use this only for binaries that you do not use frequently. # # The compressed version is a shell script which decompresses itself after # skipping $skip lines of shell commands. We try invoking the compressed # executable with the original name (for programs looking at their name). # We also try to retain the original file permissions on the compressed file. # For safety reasons, gzexe will not create setuid or setgid shell scripts. # WARNING: the first line of this file must be either : or #!/bin/sh # The : is required for some old versions of csh. # On Ultrix, /bin/sh is too buggy, change the first line to: #!/bin/sh5 # Copyright (C) 1998, 2002, 2004, 2006, 2007 Free Software Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. tab=' ' nl=' ' IFS=" $tab$nl" version='gzexe (gzip) 1.6 Copyright (C) 2007, 2011-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION] FILE... Rename each FILE with a compressed version of itself, renaming FILE to FILE~. -d Decompress each FILE instead of compressing it. --help display this help and exit --version output version information and exit Report bugs to <bug-gzip@gnu.org>." bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH decomp=0 res=0 while :; do case $1 in -d) decomp=1; shift;; --h*) exec echo "$usage";; --v*) exec echo "$version";; --) shift; break;; *) break;; esac done if test $# -eq 0; then echo >&2 "$0: missing operand Try \`$0 --help' for more information." exit 1 fi tmp= trap 'res=$? test -n "$tmp" && rm -f "$tmp" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 mktemp_status= for i do case $i in -*) file=./$i;; *) file=$i;; esac if test ! -f "$file" || test ! -r "$file"; then res=$? echo >&2 "$0: $i is not a readable regular file" continue fi if test $decomp -eq 0; then case `LC_ALL=C sed -n -e 1d -e '/^skip=[0-9][0-9]*$/p' -e 2q "$file"` in skip=[0-9] | skip=[0-9][0-9] | skip=[0-9][0-9][0-9]) echo >&2 "$0: $i is already gzexe'd" continue;; esac fi if test -u "$file"; then echo >&2 "$0: $i has setuid permission, unchanged" continue fi if test -g "$file"; then echo >&2 "$0: $i has setgid permission, unchanged" continue fi case /$file in */basename | */bash | */cat | */chmod | */cp | \ */dirname | */echo | */expr | */gzip | \ */ln | */mkdir | */mktemp | */mv | */rm | \ */sed | */sh | */sleep | */test | */tail) echo >&2 "$0: $i might depend on itself"; continue;; esac dir=`dirname "$file"` || dir=$TMPDIR test -d "$dir" && test -w "$dir" && test -x "$dir" || dir=/tmp test -n "$tmp" && rm -f "$tmp" if test -z "$mktemp_status"; then type mktemp >/dev/null 2>&1 mktemp_status=$? fi if test $mktemp_status -eq 0; then tmp=`TMPDIR=$dir mktemp -t gzexeXXXXXX` else tmp=$dir/gzexe$$ fi && { cp -p "$file" "$tmp" 2>/dev/null || cp "$file" "$tmp"; } || { res=$? echo >&2 "$0: cannot copy $file" continue } if test -w "$tmp"; then writable=1 else writable=0 chmod u+w "$tmp" || { res=$? echo >&2 "$0: cannot chmod $tmp" continue } fi if test $decomp -eq 0; then (cat <<'EOF' && #!/bin/sh skip=44 tab=' ' nl=' ' IFS=" $tab$nl" umask=`umask` umask 77 gztmpdir= trap 'res=$? test -n "$gztmpdir" && rm -fr "$gztmpdir" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 if type mktemp >/dev/null 2>&1; then gztmpdir=`mktemp -dt` else gztmpdir=/tmp/gztmp$$; mkdir $gztmpdir fi || { (exit 127); exit 127; } gztmp=$gztmpdir/$0 case $0 in -* | */*' ') mkdir -p "$gztmp" && rm -r "$gztmp";; */*) gztmp=$gztmpdir/`basename "$0"`;; esac || { (exit 127); exit 127; } case `echo X | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac if tail $tail_n +$skip <"$0" | gzip -cd > "$gztmp"; then umask $umask chmod 700 "$gztmp" (sleep 5; rm -fr "$gztmpdir") 2>/dev/null & "$gztmp" ${1+"$@"}; res=$? else echo >&2 "Cannot decompress $0" (exit 127); res=127 fi; exit $res EOF gzip -cv9 "$file") > "$tmp" || { res=$? echo >&2 "$0: compression not possible for $i, file unchanged." continue } else # decompression skip=44 skip_line=`LC_ALL=C sed -e 1d -e 2q "$file"` case $skip_line in skip=[0-9] | skip=[0-9][0-9] | skip=[0-9][0-9][0-9]) eval "$skip_line";; esac case `echo X | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac tail $tail_n +$skip "$file" | gzip -cd > "$tmp" || { res=$? echo >&2 "$0: $i probably not in gzexe format, file unchanged." continue } fi test $writable -eq 1 || chmod u-w "$tmp" || { res=$? echo >&2 "$0: $tmp: cannot chmod" continue } ln -f "$file" "$file~" || { res=$? echo >&2 "$0: cannot backup $i as $i~" continue } mv -f "$tmp" "$file" || { res=$? echo >&2 "$0: cannot rename $tmp to $i" continue } tmp= done (exit $res); exit $res
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED